import Vue from 'vue';
import VueI18n from 'vue-i18n';
import App from './App.vue';
import locales from './locale/locales.json';
import './registerServiceWorker';
import store from './store';

Vue.use(VueI18n);
Vue.config.productionTip = false;

export const i18n = new VueI18n({
  fallbackLocale: 'en',
  locale: store.getters.locale || 'fr',
  messages: {},
});

new Vue({
  i18n,
  render: (h: any) => h(App),
  store,
}).$mount('#app');
